Index: /trunk/sources/HeuristicLab.Core/AliasEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/AliasEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/AliasEventArgs.cs	(revision 776)
@@ -25,10 +25,20 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected alias. 
+  /// </summary>
   public class AliasEventArgs : EventArgs {
     private string myAlias;
+    /// <summary>
+    /// Gets the affected alias.
+    /// </summary>
     public string Alias {
       get { return myAlias; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="AliasEventArgs"/> with the given <paramref name="alias"/>.
+    /// </summary>
+    /// <param name="alias">The affected alias.</param>
     public AliasEventArgs(string alias) {
       myAlias = alias;
Index: /trunk/sources/HeuristicLab.Core/AtomicOperation.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/AtomicOperation.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/AtomicOperation.cs	(revision 776)
@@ -26,15 +26,33 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Represents a single operation with one operator and one scope.
+  /// </summary>
   public class AtomicOperation : ItemBase, IOperation {
     private IOperator myOperator;
+    /// <summary>
+    /// Gets the current operator as <see cref="IOperator"/>.
+    /// </summary>
     public IOperator Operator {
       get { return myOperator; }
     }
-    private IScope myScope;
+    private IScope myScope;  
+    /// <summary>
+    /// Gets the current scope as <see cref="IScope"/>.
+    /// </summary>
     public IScope Scope {
       get { return myScope; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="AtomicOperation"/>.
+    /// </summary>
     public AtomicOperation() { }
+    /// <summary>
+    /// Initializes a new instance of <see cref="AtomicOperation"/> with the given <paramref name="op"/> 
+    /// and the given <paramref name="scope"/>.
+    /// </summary>
+    /// <param name="op">The operator to assign.</param>
+    /// <param name="scope">The scope to assign.</param>
     public AtomicOperation(IOperator op, IScope scope) {
       myOperator = op;
@@ -42,4 +60,11 @@
     }
 
+    /// <summary>
+    /// Clones the current instance.
+    /// </summary>
+    /// <remarks>The operator and the scope objects are cloned with the 
+    /// <see cref="HeuristicLab.Core.Auxiliary.Clone"/> method of the <see cref="Auxiliary"/> class.</remarks>
+    /// <param name="clonedObjects">All already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object as <see cref="AtomicOperation"/>.</returns>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       AtomicOperation clone = new AtomicOperation();
@@ -51,4 +76,16 @@
 
     #region Persistence Methods
+
+    /// <summary>
+    ///  Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="HeuristicLab.Core.StorableBase.GetXmlNode"/> of base 
+    /// class <see cref="ItemBase"/>. <br/>
+    /// The operator is saved as child node having the tag name <c>Operator</c>.<br/>
+    /// The scope is also saved as a child node having the tag name <c>Scope</c>.</remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -57,4 +94,13 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted operation from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="HeuristicLab.Core.StorableBase.Populate"/> of base class 
+    /// <see cref="ItemBase"/>.<br/>
+    /// The operator must be saved as a child node with the tag name <c>Operator</c>, also the scope must 
+    /// be saved as a child node having the tag name <c>Scope</c> (see <see cref="GetXmlNode"/>).</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the operation is saved.</param>
+    /// <param name="restoredObjects">A dictionary of all already restored objects. (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/Auxiliary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Auxiliary.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Auxiliary.cs	(revision 776)
@@ -26,6 +26,16 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Static helper class.
+  /// </summary>
   public static class Auxiliary {
     #region Cloning
+    /// <summary>
+    /// Clones the given <paramref name="obj"/> (deep clone).
+    /// </summary>
+    /// <remarks>Checks before clone if object has not already been cloned.</remarks>
+    /// <param name="obj">The object to clone.</param>
+    /// <param name="clonedObjects">A dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object.</returns>
     public static object Clone(IStorable obj, IDictionary<Guid, object> clonedObjects) {
       object clone;
@@ -38,4 +48,8 @@
 
     #region Error Messages
+    /// <summary>
+    /// Shows an error message box with a given error <paramref name="message"/> and an OK-Button.
+    /// </summary>
+    /// <param name="message">The error message to display.</param>
     public static void ShowErrorMessageBox(string message) {
       MessageBox.Show(message,
@@ -44,4 +58,8 @@
                       MessageBoxIcon.Error);
     }
+    /// <summary>
+    /// Shows an error message box with a given exception <paramref name="ex"/> and an OK-Button.
+    /// </summary>
+    /// <param name="ex">The exception to display.</param>
     public static void ShowErrorMessageBox(Exception ex) {
       MessageBox.Show(BuildErrorMessage(ex),
@@ -50,4 +68,9 @@
                       MessageBoxIcon.Error);
     }
+    /// <summary>
+    /// Builds an error message out of an exception and formats it accordingly.
+    /// </summary>
+    /// <param name="ex">The exception to format.</param>
+    /// <returns>The formated message.</returns>
     private static string BuildErrorMessage(Exception ex) {
       StringBuilder sb = new StringBuilder();
@@ -63,4 +86,9 @@
 
     #region Constraint Violation Messages
+    /// <summary>
+    /// Shows a warning message box with an OK-Button, indicating that the given constraints were violated and so 
+    /// the operation could not be completed. 
+    /// </summary>
+    /// <param name="violatedConstraints">The constraints that could not be fulfilled.</param>
     public static void ShowConstraintViolationMessageBox(ICollection<IConstraint> violatedConstraints) {
       string message = BuildConstraintViolationMessage(violatedConstraints);
@@ -70,4 +98,10 @@
                       MessageBoxIcon.Warning);
     }
+    /// <summary>
+    /// Shows a question message box with a yes-no option, where to choose whether to ignore 
+    /// the given violated constraints and to complete the operation or not.
+    /// </summary>
+    /// <param name="violatedConstraints">The constraints that could not be fulfilled.</param>
+    /// <returns>The result of the choice ("Yes" = 6, "No" = 7).</returns>
     public static DialogResult ShowIgnoreConstraintViolationMessageBox(ICollection<IConstraint> violatedConstraints) {
       string message = BuildConstraintViolationMessage(violatedConstraints);
@@ -77,4 +111,10 @@
                              MessageBoxIcon.Question);
     }
+    /// <summary>
+    /// Builds a message out of a given collection of violated constraints, 
+    /// including the constraints type and description.
+    /// </summary>
+    /// <param name="violatedConstraints">The constraints that could not be fulfilled.</param>
+    /// <returns>The message to display.</returns>
     private static string BuildConstraintViolationMessage(ICollection<IConstraint> violatedConstraints) {
       StringBuilder sb = new StringBuilder();
Index: /trunk/sources/HeuristicLab.Core/ChooseItemDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ChooseItemDialog.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ChooseItemDialog.cs	(revision 776)
@@ -31,4 +31,7 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// A dialog to select an item. 
+  /// </summary>
   public partial class ChooseItemDialog : Form {
     #region Inner Class TreeNodeSorter
@@ -46,4 +49,9 @@
     #endregion
 
+    /// <summary>
+    /// Gets or sets the caption of the dialog.
+    /// </summary>
+    /// <remarks>Uses property <see cref="Form.Text"/> of base class <see cref="System.Windows.Forms.Form"/>.
+    /// No own data storage present.</remarks>
     public string Caption {
       get { return Text; }
@@ -52,12 +60,24 @@
 
     private IItem myItem;
+    /// <summary>
+    /// Gets the selected item.
+    /// </summary>
     public IItem Item {
       get { return myItem; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ChooseItemDialog"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ChooseItemDialog(System.Type)"/> with the type of <see cref="IItem"/>
+    /// as parameter.</remarks>
     public ChooseItemDialog()
       : this(typeof(IItem)) {
     }
-
+    /// <summary>
+    /// Initializes a new instance of <see cref="ChooseItemDialog"/> with 
+    /// the given <paramref name="itemType"/>.
+    /// </summary>
+    /// <param name="itemType">The type of the items to choose from.</param>
     public ChooseItemDialog(Type itemType) {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.Core/ChooseOperatorDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ChooseOperatorDialog.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ChooseOperatorDialog.cs	(revision 776)
@@ -31,4 +31,7 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// A dialog to select an operator out of a library.
+  /// </summary>
   public partial class ChooseOperatorDialog : Form {
     #region Inner Class TreeNodeSorter
@@ -49,8 +52,14 @@
 
     private IOperator myOperator;
+    /// <summary>
+    /// Gets the selected operator.
+    /// </summary>
     public IOperator Operator {
       get { return myOperator; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ChooseOperatorDialog"/>.
+    /// </summary>
     public ChooseOperatorDialog() {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.Core/ChooseTypeDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ChooseTypeDialog.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ChooseTypeDialog.cs	(revision 776)
@@ -31,4 +31,7 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// A dialog to select a specific type.
+  /// </summary>
   public partial class ChooseTypeDialog : Form {
     #region Inner Class TreeNodeSorter
@@ -46,4 +49,9 @@
     #endregion
 
+    /// <summary>
+    /// Gets or sets the caption of the dialog.
+    /// </summary>
+    /// <remarks>Uses property <see cref="Form.Text"/> of base class <see cref="Form"/>.
+    /// No own data storage present.</remarks>
     public string Caption {
       get { return Text; }
@@ -52,12 +60,25 @@
 
     private Type myType;
+    /// <summary>
+    /// Gets the selected type.
+    /// </summary>
     public Type Type {
       get { return myType; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ChooseTypeDialog"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ChooseTypeDialog(Type)"/> with the type of <see cref="IItem"/> as
+    /// parameter.</remarks>
     public ChooseTypeDialog()
       : this(typeof(IItem)) {
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ChooseTypeDialog"/> with the given 
+    /// <paramref name="baseType"/>.
+    /// </summary>
+    /// <param name="baseType">The base type of all chooseable types.</param>
     public ChooseTypeDialog(Type baseType) {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.Core/CompositeOperation.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/CompositeOperation.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/CompositeOperation.cs	(revision 776)
@@ -26,6 +26,14 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Represents a class for operations consisting themselves of several operations. 
+  /// Can also be executed in parallel.
+  /// </summary>
   public class CompositeOperation : ItemBase, IOperation {
     private bool myExecuteInParallel;
+
+    /// <summary>
+    /// Gets or sets the bool value, whether the operation should be executed in parallel or not.  
+    /// </summary>
     public bool ExecuteInParallel {
       get { return myExecuteInParallel; }
@@ -33,8 +41,16 @@
     }
     private List<IOperation> myOperations;
+    /// <summary>
+    /// Gets all current operations.
+    /// <note type="caution"> Operations are read-only!</note>
+    /// </summary>
     public IList<IOperation> Operations {
       get { return myOperations.AsReadOnly(); }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="CompositeOperation"/>, the <see cref="ExecuteInParallel"/>
+    /// property set to <c>false</c>.
+    /// </summary>
     public CompositeOperation() {
       myOperations = new List<IOperation>();
@@ -42,11 +58,26 @@
     }
 
+    /// <summary>
+    /// Adds an operation to the current list of operations.
+    /// </summary>
+    /// <param name="operation">The operation to add.</param>
     public void AddOperation(IOperation operation) {
       myOperations.Add(operation);
     }
+    /// <summary>
+    /// Removes an operation from the current list.
+    /// </summary>
+    /// <param name="operation">The operation to remove.</param>
     public void RemoveOperation(IOperation operation) {
       myOperations.Remove(operation);
     }
 
+    /// <summary>
+    /// Clones the current instance of <see cref="CompositeOperation"/> (deep clone).
+    /// </summary>
+    /// <remarks>All operations of the current instance are cloned, too (deep clone), with the 
+    /// <see cref="HeuristicLab.Core.Auxiliary.Clone"/> method of the class <see cref="Auxiliary"/>.</remarks>
+    /// <param name="clonedObjects">A dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned operation as <see cref="CompositeOperation"/>.</returns>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       CompositeOperation clone = new CompositeOperation();
@@ -59,4 +90,16 @@
 
     #region Persistence Methods
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="HeuristicLab.Core.StorableBase.GetXmlNode"/> of base 
+    /// class <see cref="ItemBase"/>.<br/>
+    /// The <see cref="ExecuteInParallel"/> property is saved as <see cref="XmlAttribute"/> with the
+    /// tag name <c>ExecuteInParallel</c>. A child node with tag name <c>Operations</c> is created where
+    /// all operations are saved as child nodes.</remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -71,4 +114,14 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted operation from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>The <see cref="ExecuteInParallel"/> property must be saved as <see cref="XmlAttribute"/>
+    /// with the tag name <c>ExecuteInParallel</c>. <br/>
+    /// The single operations must be saved as child nodes of a node with tag name <c>Operations</c>, 
+    /// being a child node of the current instance. <br/>
+    /// Calls <see cref="StorableBase.Populate"/> of base class <see cref="ItemBase"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the operation is saved.</param>
+    /// <param name="restoredObjects">A dictionary of all already restored objects. (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/ConstrainedItemBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ConstrainedItemBase.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ConstrainedItemBase.cs	(revision 776)
@@ -26,14 +26,34 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Base class for all items that are subjects to restrictions.
+  /// </summary>
   public abstract class ConstrainedItemBase : ItemBase, IConstrainedItem {
     private List<IConstraint> myConstraints;
+    /// <summary>
+    /// Gets all current constraints.
+    /// <note type="caution"> The constraints are returned read-only.</note>
+    /// </summary>
     public virtual ICollection<IConstraint> Constraints {
       get { return myConstraints.AsReadOnly(); }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ConstrainedItemBase"/>.
+    /// </summary>
     protected ConstrainedItemBase() {
       myConstraints = new List<IConstraint>();
     }
 
+    /// <summary>
+    /// Clones the current instance (deep clone).
+    /// </summary>
+    /// <remarks>Calls <see cref="StorableBase.Clone
+    /// (System.Collections.Generic.IDictionary&lt;System.Guid, object&gt;)"/> 
+    /// of base class <see cref="ItemBase"/>.<br/>
+    /// Deep clone through <see cref="Auxiliary.Clone"/> method of helper class 
+    /// <see cref="Auxiliary"/>.</remarks>
+    /// <param name="clonedObjects">Dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object as <see cref="ConstrainedItemBase"/>.</returns>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       ConstrainedItemBase clone = (ConstrainedItemBase)base.Clone(clonedObjects);
@@ -44,8 +64,18 @@
     }
 
+    /// <summary>
+    /// Adds the given <paramref name="constraint"/> to the current list.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnConstraintAdded"/>.</remarks>
+    /// <param name="constraint">The constraint to add.</param>
     public virtual void AddConstraint(IConstraint constraint) {
       myConstraints.Add(constraint);
       OnConstraintAdded(constraint);
     }
+    /// <summary>
+    /// Removes the given <paramref name="constraint"/> from the current list.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnConstraintRemoved"/> if the constraint can be successfully removed.</remarks>
+    /// <param name="constraint">The constraint to remove.</param>
     public virtual void RemoveConstraint(IConstraint constraint) {
       if (myConstraints.Remove(constraint))
@@ -53,4 +83,8 @@
     }
 
+    /// <summary>
+    /// Checks all constraints of the current instance.
+    /// </summary>
+    /// <returns><c>true</c> if all constraints could be fulfilled, <c>false</c> otherwise.</returns>
     public bool IsValid() {
       bool result = true;
@@ -59,4 +93,10 @@
       return result;
     }
+    /// <summary>
+    /// Checks all constraints of the current instance.
+    /// </summary>
+    /// <param name="violatedConstraints">Output parameter; contains all constraints that could not be
+    /// fulfilled.</param>
+    /// <returns><c>true</c> if all constraints could be fulfilled, <c>false</c> otherwise.</returns>
     public bool IsValid(out ICollection<IConstraint> violatedConstraints) {
       bool result = true;
@@ -71,14 +111,33 @@
     }
 
+    /// <summary>
+    /// Creates an instance of <see cref="ConstrainedItemBaseView"/> 
+    /// to represent the current instance visually.
+    /// </summary>
+    /// <returns>The created view as <see cref="ConstrainedItemBase"/>.</returns>
     public override IView CreateView() {
       return new ConstrainedItemBaseView(this);
     }
 
+    /// <summary>
+    /// Occurs when a constraint is added.
+    /// </summary>
     public event EventHandler<ConstraintEventArgs> ConstraintAdded;
+    /// <summary>
+    /// Fires a new <c>ConstraintAdded</c> event.
+    /// </summary>
+    /// <param name="constraint">The constraint that was added.</param>
     protected virtual void OnConstraintAdded(IConstraint constraint) {
       if (ConstraintAdded != null)
         ConstraintAdded(this, new ConstraintEventArgs(constraint));
     }
+    /// <summary>
+    /// Occurs when a constraint is removed.
+    /// </summary>
     public event EventHandler<ConstraintEventArgs> ConstraintRemoved;
+    /// <summary>
+    /// Fires a new <c>ConstraintRemoved</c> event.
+    /// </summary>
+    /// <param name="constraint">The constraint that was removed.</param>
     protected virtual void OnConstraintRemoved(IConstraint constraint) {
       if (ConstraintRemoved != null)
@@ -86,5 +145,16 @@
     }
 
-    #region Persistence Methods
+    #region Persistence Methods  
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="StorableBase.GetXmlNode"/> of base class <see cref="ItemBase"/>. <br/>
+    /// For saving the constraints a child node is created having the tag name <c>Constraints</c>. Beyond this
+    /// child node all constraints are saved as child nodes themselves.</remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. 
+    /// (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -97,4 +167,13 @@
       return node;
     }
+    /// <summary>
+    ///  Loads the persisted item from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>See <see cref="GetXmlNode"/> to get information about how the constrained item must
+    /// be saved. <br/>
+    /// Calls <see cref="StorableBase.Populate"/> of base class <see cref="ItemBase"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the constrained item is saved.</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/ConstrainedItemBaseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ConstrainedItemBaseView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ConstrainedItemBaseView.cs	(revision 776)
@@ -29,7 +29,13 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of an <see cref="IConstrainedItem"/>.
+  /// </summary>
   public partial class ConstrainedItemBaseView : ViewBase {
     private ChooseItemDialog chooseItemDialog;
 
+    /// <summary>
+    /// Gets or sets the current item to represent visually.
+    /// </summary>
     public IConstrainedItem ConstrainedItem {
       get { return (IConstrainedItem)Item; }
@@ -37,4 +43,8 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ConstrainedItemBaseView"/> 
+    /// with the caption "Constrained Item".
+    /// </summary>
     public ConstrainedItemBaseView() {
       InitializeComponent();
@@ -42,4 +52,9 @@
       Caption = "Constrained Item";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="ConstrainedItemBaseView"/> with the given 
+    /// <paramref name="constraintItem"/>.
+    /// </summary>
+    /// <param name="constraintItem">The item to represent visually.</param>
     public ConstrainedItemBaseView(IConstrainedItem constraintItem)
       : this() {
@@ -47,4 +62,8 @@
     }
 
+    /// <summary>
+    /// Removes the event handlers from the underlying <see cref="IConstrainedItem"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RemoveItemEvents() {
       ConstrainedItem.ConstraintAdded -= new EventHandler<ConstraintEventArgs>(ConstrainedItemBase_ConstraintAdded);
@@ -52,4 +71,8 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds event handlers to the underlying <see cref="IConstrainedItem"/>. 
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -58,4 +81,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/ConstraintEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ConstraintEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ConstraintEventArgs.cs	(revision 776)
@@ -25,9 +25,23 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected constraint.
+  /// </summary>
   public class ConstraintEventArgs : ItemEventArgs {
+    /// <summary>
+    /// Gets the affected constraint.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ItemEventArgs.Item"/> of base class <see cref="ItemEventArgs"/>.
+    /// No own data storage present.</remarks>
     public IConstraint Constraint {
       get { return (IConstraint)Item; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ConstraintEventArgs"/> with the given
+    /// <paramref name="constraint"/>.
+    /// </summary>
+    /// <remarks>Only calls the constructor of base class <see cref="ItemEventArgs"/>.</remarks>
+    /// <param name="constraint">The affected constraint.</param>
     public ConstraintEventArgs(IConstraint constraint)
       : base(constraint) {
Index: /trunk/sources/HeuristicLab.Core/EditorBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/EditorBase.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/EditorBase.cs	(revision 776)
@@ -29,6 +29,13 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Base class for views that can load and save data.
+  /// </summary>
   public partial class EditorBase : ViewBase, IEditor {
     private string myFilename;
+    /// <summary>
+    /// Gets or sets the filename of the current editor.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnFilenameChanged"/> in the setter if the filename is new.</remarks>
     public string Filename {
       get { return myFilename; }
@@ -41,4 +48,7 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="EditorBase"/> with the caption "Editor".
+    /// </summary>
     public EditorBase() {
       InitializeComponent();
@@ -46,4 +56,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
@@ -54,5 +68,11 @@
     }
 
+    /// <summary>
+    /// Occurs when the filename is changed.
+    /// </summary>
     public event EventHandler FilenameChanged;
+    /// <summary>
+    /// Fires a new <c>FilenameChanged</c> event.
+    /// </summary>
     protected virtual void OnFilenameChanged() {
       if (FilenameChanged != null)
